Subject: Re: bug#78251: arm-trusted-firmware for pine64 FTBFS

From: Efraim Flashner <[email-masked]>
Date: Tue, 6 May 2025 15:27:32 +0300

On Mon, May 05, 2025 at 11:23:25AM -0700, Vagrant Cascadian wrote:
> On 2025-05-05, Vagrant Cascadian wrote:
> > Last time I built this version on Debian it worked fine ... but now you
> > have me wanting to double-check! Differences in the toolchains between
> > Debian and guix might be a clue...
> 
> Just checked again, and 2.12.1 still builds fine natively on
> Debian... so that might be something worth exploring...

Thanks for doing all this work so far!  I assume Debian is using gcc-14
for the build.  I don't see anything obvious in the debian/rules file¹

¹ https://sources.debian.org/src/arm-trusted-firmware/2.12.1%2Bdfsg-1/debian/rules/

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted